from django.urls import path
from .views import rtpath, tpath

from db.main.models import Post, GrandPrixW
from db.tournaments.models import Tournament
from db.youth.models import Youth

urlpatterns = [
    tpath('', 'home', {'home': 'active'}),
    rtpath('grandprixwojewodztwa/<int:id>', 'gpw', GrandPrixW),
    rtpath('aktualnosci/<int:id>', 'home', Post, {'home': 'active'}),

    tpath('zarzad', 'administration'),
    tpath('zarzad/ogloszenia', 'administration/announcements'),
    tpath('zarzad/protokolyiuchwaly', 'administration/protocols'),
    tpath('zarzad/regulaminy', 'administration/regulations'),
    tpath('zarzad/rodo', 'administration/rodos'),

    tpath('ligi', 'league'),
    tpath('kalendarz', 'calendar'),
    tpath('grandprixbialegostoku', 'grandprix'),
    tpath('inneturnieje', 'tournaments'),
    rtpath('inneturnieje/<int:id>', 'tournaments', Tournament),
    tpath('skladki', 'membership'),
    tpath('mlodziez', 'youth'),
    rtpath('mlodziez/<int:id>', 'youth', Youth),
    tpath('atu', 'atu'),
    tpath('mbkb', 'mbkb'),
]
